packages:
    - "core"
    - "jobs"
    - "config/*"
    - "packages/*"
    - "storybook"
    - "docs"
    - "site-builder"

# A catalog is used to line up the package versions across workspaces
catalog:
    next: ^15.5.9
    katex: ^0.16.18
    tailwindcss: ^3.4.17
    tailwind-merge: ^2.5.2
    clsx: ^2.0.0
    postcss: ^8.4.27
    autoprefixer: ^10.4.21
    date-fns: ^4.1.0
    nuqs: "2.4.3"
    # not manually specifying this lead to two different versions of nuqs being installed
    # see https://github.com/47ng/nuqs/issues/798
    "@babel/core": 7.27.4
    tsx: ^4.19.0
    typescript: ^5.9.2
    vitest: ^3.1.4
    vite: "^6.0.0"
    vite-tsconfig-paths: "^5.1.4"
    "@vitejs/plugin-react": "^4.5.0"
    zod: ^3.24.3
    react-hook-form: ^7.54.2
    "@hookform/resolvers": ^3.9.1
    "@playwright/test": ^1.52.0
    "@sinclair/typebox": ^0.34.30
    "@types/node": ^20
    "@handlewithcare/react-prosemirror": "^2.4.12"
    "@honeycombio/opentelemetry-node": ^0.6.1
    "@opentelemetry/auto-instrumentations-node": 0.53.0
    "@sentry/nextjs": "^10.5.0"
    "@ts-rest/core": 3.51.0
    "@ts-rest/next": 3.51.0
    "@ts-rest/open-api": 3.51.0
    "@ts-rest/serverless": 3.51.0
    "@ts-rest/react-query": 3.51.0
    "prosemirror-model": "1.25.3"
    "prosemirror-view": "1.39.2"
    "prosemirror-state": "1.4.3"

catalogs:
    react18:
        react: 18.3.1
        react-dom: 18.3.0
        "@types/react": ^18.3.5
        "@types/react-dom": ^18.3.0
    react19:
        react: ^19.1.4
        react-dom: ^19.1.4
        "@types/react": ^19.1.10
        "@types/react-dom": ^19.1.7
        react-reconciler: "0.32.0"
